Package nl.tudelft.simulation.examples.dsol.terminal

# Class ConsoleRunnerTerminal

java.lang.Object
nl.tudelft.simulation.examples.dsol.terminal.ConsoleRunnerTerminal

All Implemented Interfaces:
  `Serializable`, `EventListener`, `EventListenerInterface`

    public final class ConsoleRunnerTerminal
    extends Object
    implements EventListenerInterface

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs, Alexander Verbraeck
See Also:
  Serialized Form

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `main​(String[] args)` |
`void` | `notify​(EventInterface event)`
`void` | `terminate​(DEVSSimulator.TimeDouble simulator, int numQC, int numAGV, int rep)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### terminate

public void terminate​(DEVSSimulator.TimeDouble simulator, int numQC, int numAGV, int rep) throws SimRuntimeException, RemoteException

Parameters:
  `simulator` - DEVSSimulator.TimeDouble; the simulator
  `numQC` - int; num QC
  `numAGV` - int; num AGV
  `rep` - int; replication number
Throws:
  `SimRuntimeException` - on error
  `RemoteException` - on error

### notify

public void notify​(EventInterface event) throws RemoteException

Specified by:
  `notify` in interface `EventListenerInterface`
Throws:
  `RemoteException`

### main

public static void main​(String[] args) throws SimRuntimeException, RemoteException, NamingException, InputParameterException

Parameters:
  `args` - String[]; args
Throws:
  `SimRuntimeException` - on error
  `RemoteException` - on error
  `NamingException` - on error
  `InputParameterException` - on error